org.eclipse.cdt.utils.debug

## Class DebugType

- java.lang.Object
- - org.eclipse.cdt.utils.debug.DebugType

Direct Known Subclasses:
  DebugBaseType, DebugDerivedType, DebugEnumType, DebugFunctionType, DebugStructType, DebugUnknownType

    public class DebugType
    extends Object

DebugType

### Constructor Summary

Constructors
`protected` `DebugType()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DebugType

    protected DebugType()

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`